## laniakea 0.1.1

=== meson_options.txt ===
# Build options for Laniakea

#
# Test flags
#
option('linting',
    type: 'boolean',
    value: true,
    description: 'Enable code linters we want to run for static analysis.'
)
option('mypy-install-types',
    type: 'boolean',
    value: true,
    description: 'Make MyPy automatically install missing type stubs.'
)

#
# Build config flags
#
option('virtualenv',
    type: 'string',
    value: '',
    description: 'Path to a Python virtualenv to use for services'
)

#
# Feature flags
#
option('docs',
    type: 'boolean',
    value: false,
    description: 'Enable target to build HTML documentation'
)
option('cli-admin',
    type: 'boolean',
    value: true,
    description: 'Build CLI administration tools'
)
option('lighthouse',
    type: 'boolean',
    value: true,
    description: 'Build Lighthouse message relay and queue service'
)
option('scheduler',
    type: 'boolean',
    value: true,
    description: 'Build archive management and maintenance task scheduler daemon'
)
option('mailgun',
    type: 'boolean',
    value: false,
    description: 'E-mail message emitter'
)
option('debcheck',
    type: 'boolean',
    value: true,
    description: 'Build dose/debcheck integration helper binary'
)
option('rubicon',
    type: 'boolean',
    value: true,
    description: 'Build rubicon upload accepting tool'
)
option('webupload',
    type: 'boolean',
    value: true,
    description: 'Web upload service'
)
option('webgui',
    type: 'boolean',
    value: true,
    description: 'Build the web interfaces'
)
option('spears',
    type: 'boolean',
    value: true,
    description: 'Build the "Spears" Britney2 package migration integration'
)
option('synchrotron',
    type: 'boolean',
    value: true,
    description: 'Build the package synchronization module'
)
option('planter',
    type: 'boolean',
    value: true,
    description: 'Build the "Planter" metapackage seed / Germinator integration'
)
option('mirk',
    type: 'boolean',
    value: false,
    description: 'Enable the "mIrk" Matrix messaging bot'
)

=== requirements.txt ===
-r requirements.base.txt
-r requirements.web.txt
-r requirements.matrix.txt

=== docs/requirements.txt ===
-r ../requirements.txt
Pygments>=2.6
Sphinx>=6.0
piccolo_theme>=0.14
sphinx-autodoc-typehints~=3.5.2

=== tests/test_data/packages/Makefile ===
export GNUPGHOME = $(CURDIR)/gpg
SHELL = /bin/bash
include /usr/share/dpkg/architecture.mk

# List of packages to build
# for each of these, the source must be available in a directory
# $PACKAGE_$VERSION
#
# if the directory doesn't exist, but there is a directory
# overlays/$PACKAGE and a directory overlays/$PACKAGE_$VERSION,
# the contents of both directories will be copied sequentially to
# $PACKAGE_$VERSION, allowing identical data for similar packages (eg.
# multiple versions of the same packages) to be stored only once
#
# the suffix (_F, _A, _B or _S) specifies the type of build

PACKAGES = \
linux_42.0_F \
nonfree-package_0.1_F \
package_0.1_F \
package_0.1_A \
package_0.2_F \
package-built-using_0.1_F \
main-contrib-with-debug_0.1_F \
main-contrib-with-debug_0.2_F \
binnmu_0.1_F \
binnmu_0.1+b1_B \
binnmu_0.2_S \
binnmu_0.2_B \
pkgnew_0.1_AB \
pkgnew_0.1_BB \
pkgnew_0.1_F \
pkgnew_0.2~exp_F \
pkgnew_0.2_S \
pkgnew_0.2_A \
pkgnew_0.2_B \
pkgnew_0.3_F \
snowman_0.1_F \
grave_0.1_F \

OTHER = \
linux_42.0-1_source.changes \

ALL = $(PACKAGES)

stamp-all: $(ALL) $(OTHER)
	touch $@

%.orig.tar.gz:
	t=$*; \
	dir=$${t/_/-}; \
	base=$${t%_*}; \
	if [ ! -d $$dir ] ; then\
		cp -rv overlays/$$base/ ./$$dir/; \
		cp -Trv overlays/$$dir/ ./$$dir; \
	fi; \
	if [ ! -f $$t.orig.tar.gz ]; then \
		tar -czf $$t.orig.tar.gz --exclude=debian $${t/_/-}; \
	fi

%_F: %.orig.tar.gz
	p=$*; (cd $${p/_/-}; dpkg-buildpackage --sign-backend=gpg -F)

%_A: %.orig.tar.gz
	p=$*; (cd $${p/_/-}; dpkg-buildpackage --sign-backend=gpg -A)

# build packages as if they were built with
# sbuild --dpkg-file-suffix="-buildd"
%_AB: %.orig.tar.gz
	ARCH=all; \
	BUILD_OPT=A; \
	t=$*; \
	dir=$${t/_/-}; \
	p=$*; p=$${p%%_*}; \
	( \
		cd $${dir}; \
		V=`dpkg-parsechangelog -S Version`; \
		f=$${p}_$${V}_$${ARCH}; \
		dpkg-buildpackage -$${BUILD_OPT} \
		--no-sign \
		--buildinfo-option=-O../$${f}-buildd.buildinfo \
		--changes-option=-O../$${f}-buildd.changes; \
		debsign ../$${f}-buildd.changes; \
	)

%_B: %.orig.tar.gz
	p=$*; (cd $${p/_/-}; dpkg-buildpackage --sign-backend=gpg -B)

# build packages as if they were built with
# sbuild --dpkg-file-suffix="-buildd"
%_BB: %.orig.tar.gz
	ARCH=$(DEB_HOST_ARCH); \
	BUILD_OPT=B; \
	t=$*; \
	dir=$${t/_/-}; \
	p=$*; p=$${p%%_*}; \
	( \
		cd $${dir}; \
		V=`dpkg-parsechangelog -S Version`; \
		f=$${p}_$${V}_$${ARCH}; \
		dpkg-buildpackage -$${BUILD_OPT} \
		--no-sign \
		--buildinfo-option=-O../$${f}-buildd.buildinfo \
		--changes-option=-O../$${f}-buildd.changes; \
		debsign ../$${f}-buildd.changes; \
	)

%_S: %.orig.tar.gz
	p=$*; (cd $${p/_/-}; dpkg-buildpackage --sign-backend=gpg -S)

%_source.changes: %_amd64.changes
	mergechanges -S $< /dev/null > $@
	debsign --no-re-sign $@

# dummy rule, needed for the _source.changes rule
%_amd64.changes:
	true

clean:
	set -e; for j in $(ALL); do \
	  p=$${j%_*}; \
	  dir=$${p/_/-}; \
	  if [ -d overlays/$$dir ]; then rm -rf ./$$dir; \
	    else make -C $$dir -f debian/rules clean; fi; \
	done
	rm -f *.tar.gz *.tar.xz *.buildinfo *.dsc *.changes *.diff.gz *.deb
	rm -f gpg/*~
	rm -f stamp-*

.PRECIOUS: %.orig.tar.gz %_amd64.changes

=== tests/test_data/packages/overlays/main-contrib-with-debug/Makefile ===

default: test

clean:
	rm -f test

=== debian/changelog ===
laniakea (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1060284)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Feb 2026 11:54:06 +0100

=== debian/control ===
Source: laniakea
Section: utils
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               apt-utils,
               black,
               bubblewrap,
               flake8,
               gir1.2-appstream-1.0,
               git,
               gpg,
               isort,
               meson,
               mypy,
               ninja-build,
               pkgconf,
               pybuild-plugin-pyproject,
               pylint,
               python3,
               python3-alembic,
               python3-apscheduler,
               python3-apt,
               python3-click,
               python3-cryptography,
               python3-debian,
               python3-firehose,
               python3-flask,
               python3-flask-caching,
               python3-flask-login,
               python3-flask-rebar,
               python3-gi,
               python3-humanize,
               python3-jinja2,
               python3-marshmallow,
               python3-mautrix,
               python3-mesonpy,
               python3-nacl,
               python3-pebble,
               python3-pip,
               python3-psycopg2,
               python3-pylint-flask,
               python3-pytest,
               python3-pytest-flask,
               python3-pytz,
               python3-requests,
               python3-rich,
               python3-setproctitle,
               python3-sqlalchemy (>= 2.0),
               python3-systemd,
               python3-tomlkit (>= 0.8.0),
               python3-tornado,
               python3-typeshed,
               python3-voluptuous,
               python3-yaml,
               python3-zmq,
               systemd-dev,
               xsltproc
Standards-Version: 4.7.3
Homepage: https://github.com/lkhq/laniakea
Vcs-Git: https://salsa.debian.org/laniakea-team/laniakea.git
Vcs-Browser: https://salsa.debian.org/laniakea-team/laniakea

Package: python3-laniakea
Section: python
Architecture: all
Depends: adduser,
         bubblewrap,
         gir1.2-appstream-1.0,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Python module
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains the shared Python module which provides the database
 schema, message schema and common archive actions.

Package: laniakea-server
Architecture: all
Depends: adduser,
         apt-utils,
         dose-builddebcheck,
         dose-distcheck,
         postgresql,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian,
            postgresql-18-debversion
Description: Management suite for Debian-based OSes -- Privileged Server
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains many of the privileged server components that require
 write-access to the Postgres database of Laniakea.
 .
 Laniakea requires to be manually configured for the respective environment
 before this package will do anything.
 Refer to the documentation on how to set up the database and environment.

Package: laniakea-webdash
Architecture: all
Depends: postgresql-client,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Web Dashboard
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a web dashboard application that displays the
 status of the archive suites as well as various developer information.

Package: laniakea-webswview
Architecture: all
Depends: postgresql-client,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Web Software Index
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a web application that allows searching for
 applications and packages in the software archive.

Package: laniakea-webupload
Architecture: all
Depends: python3-flask,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- HTTP Upload Receiver
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a small webserver application that accepts uploads
 that were pushed using dput(1) and places them in a safe location for
 Rubicon to check.

Package: laniakea-mailgun
Architecture: all
Depends: default-mta | mail-transport-agent | postfix,
         python3-jinja2,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- E-Mail Sender
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a service that listens on the Laniakea ZeroMQ
 message stream and sends e-mails to users or mailinglist if the events
 fulfill certain criteria.

Package: laniakea-mirk
Architecture: all
Depends: python3-jinja2,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Matrix Bot
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a Matrix bot that listens on the Laniakea ZeroMQ
 message stream and posts messages to Matrix chat rooms if the fulfill
 certain criteria.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LANIAKEA_CONFIGURE_FLAGS = \
			-Dmailgun=true \
			-Dmirk=true

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with python3 --buildsystem=meson


override_dh_auto_configure:
	dh_auto_configure -- $(LANIAKEA_CONFIGURE_FLAGS)

override_dh_auto_test:
	# The full testsuite spawns a Postgres container via podman,
	# we can't run it at build-time but run it as autopkgtest instead.
	dh_auto_test -- --no-suite integration

override_dh_python3:
	dh_python3 -planiakea-mailgun /usr/lib/laniakea/mailgun/
	dh_python3 -planiakea-mirk --requires requirements.matrix.txt /usr/lib/laniakea/mirk/
	dh_python3 -ppython3-laniakea --requires requirements.base.txt
	dh_python3

=== debian/tests/control ===
Tests: laniakea-pytest
Depends: podman,
         @builddeps@
Restrictions: allow-stderr,
              isolation-machine,
              needs-internet,
              rw-build-tree

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/lkhq/laniakea/releases?per_page=100
Matching-Pattern: https://github.com/lkhq/laniakea/releases/download/v.*/laniakea-@ANY_VERSION@_fullsrc.tar.xz
Searchmode: plain
